> ## Documentation Index
> Fetch the complete documentation index at: https://support.lilt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Upload by ID

> Retrieve a specific upload by its unique identifier.

Example CURL command:
```
  curl -X GET https://lilt.com/2/upload/12345?key=API_KEY
```




## OpenAPI

````yaml /api-reference/openapi-bundled.yaml get /v2/upload/{uploadId}
openapi: 3.0.3
info:
  title: LILT API
  description: >
    LILT API Support: https://lilt.atlassian.net/servicedesk/customer/portals


    The LILT API enables programmatic access to the full-range of LILT backend
    services including:
      * Training of and translating with interactive, adaptive machine translation
      * Large-scale translation memory
      * The Lexicon (a large-scale termbase)
      * Programmatic control of the LILT CAT environment
      * Translation memory synchronization


    Requests and responses are in JSON format. The REST API only responds to
    HTTPS / SSL requests.


    The base url for this REST API is `https://api.lilt.com/`.


    ## Authentication


    Requests are authenticated via API key, which requires the Business plan.


    Requests are authenticated using [HTTP Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication). Add your
    API key as both the `username` and `password`.


    For development, you may also pass the API key via the `key` query
    parameter. This is less secure than HTTP Basic Auth, and is not recommended
    for production use.


    ## Quotas


    Our services have a general quota of 4000 requests per minute. Should you
    hit the maximum requests per minute, you will need to wait 60 seconds before
    you can send another request.
  version: v3.0.3
  license:
    name: LILT Platform Terms and Conditions
    url: https://lilt.com/lilt-platform-terms-and-conditions
servers:
  - url: https://api.lilt.com
security:
  - BasicAuth: []
  - ApiKeyAuth: []
paths:
  /v2/upload/{uploadId}:
    get:
      tags:
        - Uploads
      summary: Get Upload by ID
      description: |
        Retrieve a specific upload by its unique identifier.

        Example CURL command:
        ```
          curl -X GET https://lilt.com/2/upload/12345?key=API_KEY
        ```
      operationId: getUploadById
      parameters:
        - in: path
          name: uploadId
          description: Unique upload identifier
          required: true
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: Upload details.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    description: Unique upload identifier
                    example: 12345
                  filename:
                    type: string
                    description: Name of the uploaded file
                    example: document.xliff
                  status:
                    type: string
                    description: Current upload status
                    example: pending
                  created_at:
                    type: string
                    format: date-time
                    description: Upload creation timestamp
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message describing the error.
      description: |
        Response in the event of an unexpected error.
      example:
        message: Internal server error.
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      name: key
      in: query

````